title       = "Authsquare"
header      = f"Welcome to {title}"
copyright   = "Copyright (C) 2024  Dita Aji Pratama"

production  = False
su_mode     = True

auth_key    = 'your_key'

ssh = {
    "key":{
        "private" : "/root/.ssh/id_rsa",
        "public" : "/root/.ssh/id_rsa.pub"
    },
    "passphrase" : None # use b'value' if use passphrase
}

reCAPTCHA = {
    "client" : "your_key",
    "server" : "your_key"
}

smtpconfig = {
    "login"     : {
        "email"     : "user@domain.com",
        "password"  : "your_password"
    },
    "server"    : {
        "host"      : "smtp.domain.com",
        "port"      : 587
    },
    "from"      : "user@domain.com"
}

baseurl     = "https://domain.com"
if production == False:
    baseurl     = "http://localhost:15001"

def resend_url(email):
    url = f"{baseurl}/api/auth/registration/resend?email={email}"
    return url

def notme_url(token):
    url = f"{baseurl}/notme?token={token}"
    return url

def verification_url(token):
    url = f"{baseurl}/verify?token={token}"
    return url

def change_forgot_url(token):
    url = f"{baseurl}/portal/change/forgot?token={token}"
    return url

menu        = {
    "public": {
        "navbar": [
            {
                "name":"Home",
                "target":"_self",
                "href":"/",
                "roles":[0,1,2,3]
            },
            {
                "name":"Dashboard",
                "target":"_self",
                "href":"/portal/dashboard",
                "roles":[1,2]
            },
            {
                "name":"Register",
                "target":"_self",
                "href":"/register/member",
                "roles":[0]
            },
            {
                "name":"Login",
                "target":"_self",
                "href":"/login",
                "roles":[0]
            },
            {
                "name":"Logout",
                "target":"_self",
                "href":"/logout",
                "roles":[1,2,3]
            }
        ]
    }
}
